import request from '@/utils/request';

/**
 * 列表
 */
export async function getList(data) {
  const res = await request.post('/mes/inproduct/page', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// 工序
export async function produceTask(params) {
  const res = await request.get(`/main/producetask/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}


// 在制品详细信息


export async function detailPage(data) {
  const res = await request.post('/mes/inproduct/detailPage', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}